<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2 Final//EN">

<!--Converted with LaTeX2HTML 2002-2-1 (1.70)
original version by:  Nikos Drakos, CBLU, University of Leeds
* revised and updated by:  Marcus Hennecke, Ross Moore, Herb Swan
* with significant contributions from:
  Jens Lippmann, Marek Rouchal, Martin Wilck and others -->
<HTML>
<HEAD>
<TITLE>*CFD</TITLE>
<META NAME="description" CONTENT="*CFD">
<META NAME="keywords" CONTENT="ccx">
<META NAME="resource-type" CONTENT="document">
<META NAME="distribution" CONTENT="global">

<META NAME="Generator" CONTENT="LaTeX2HTML v2002-2-1">
<META HTTP-EQUIV="Content-Style-Type" CONTENT="text/css">

<LINK REL="STYLESHEET" HREF="ccx.css">

<LINK REL="next" HREF="node199.html">
<LINK REL="previous" HREF="node197.html">
<LINK REL="up" HREF="node188.html">
<LINK REL="next" HREF="node199.html">
</HEAD>

<BODY >
<!--Navigation Panel-->
<A NAME="tex2html3537"
  HREF="node199.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html3533"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html3527"
  HREF="node197.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html3535"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html3538"
  HREF="node199.html">*CFLUX</A>
<B> Up:</B> <A NAME="tex2html3534"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html3528"
  HREF="node197.html">*BUCKLE</A>
 &nbsp; <B>  <A NAME="tex2html3536"
  HREF="node1.html">Contents</A></B> 
<BR>
<BR>
<!--End of Navigation Panel-->

<H2><A NAME="SECTION00087000000000000000"></A><A NAME="cfd"></A>
<BR>
*CFD
</H2>

<P>
Keyword type: step

<P>
This procedure is used to perform a three-dimensional computational fluid
dynamics (CFD) calculation.

<P>
There are four optional parameters: STEADY STATE,
TIME RESET, TOTAL TIME AT START and COMPRESSIBLE. 

<P>
The parameter STEADY STATE indicates that only the steady state should be
calculated. If this parameter is absent, the calculation is assumed to be time
dependent and a transient analysis is performed. 

<P>
The initial time increment and time step period are interpreted mechanical
time increment and mechanical time step. For each mechanical time increment a
CFD calculation is performed consisting of several CFD time
increments. Therefore, the initial CFD time increment cannot exceed the
initial mechanical time increment. CFD time increments are usually much
smaller than the mechanical time increments. The CFD calculation is performed
up to the end of the mechanical time increment (if the calculation is
transient) or up to steady state conditions (if the CFD calculation is a
steady state calculation).

<P>
The parameter TIME RESET can be used to force the total time at the
end of the present step to coincide with the total time at the end of the
previous step. If there is no previous step the targeted total time is
zero. If this parameter is absent the total time at the end of the present step is the
total time at the end of the previous step plus the time period of the present
step (2nd parameter underneath the *CFD keyword). Consequently, if the time
at the end of the previous step is 10. and the present time period is 1., the
total time at the end of the present step is 11. If the TIME RESET parameter
is used, the total time at the beginning of the present step is 9. and at the
end of the present step it will be 10. This is sometimes useful if
transient coupled temperature-displacement calculations are preceded by a stationary heat
transfer step to reach steady state conditions at the start of the transient
coupled temperature-displacement calculations. Using the TIME RESET parameter in the stationary
step (the first step in the calculation) will lead to a zero total time at the start of the subsequent
instationary step. 

<P>
The parameter TOTAL TIME AT START can be used to set the total time
at the start of the step to a specific value.

<P>
Finally, the parameter COMPRESSIBLE 
specifies that the fluid is compressible. Default is incompressible.

<P>

<P><P>
<BR>

<P>
First line:

<UL>
<LI>*CFD
</LI>
<LI>Enter any needed parameters and their values.
</LI>
</UL>

<P>

<UL>
<LI>Initial time increment. This value will be modified due to automatic incrementation, unless the parameter DIRECT was specified (default 1.).
</LI>
<LI>Time period of the step (default 1.).
</LI>
<LI>Minimum time increment allowed. Only active if DIRECT is not specified. Default is the initial time increment or 1.e-5 times the time period of the step, whichever is smaller.
</LI>
<LI>Maximum time increment allowed. Only active if DIRECT is not
  specified. Default is 1.e+30.
</LI>
<LI>Initial time increment for CFD applications (default 1.e-2). If left
  free, a proper initial increment is calculated.
</LI>
</UL>

<P>
Example: couette1

<P>
<PRE>
*CFD
.1,1.,,,0.01
</PRE>

<P>
defines a CFD step. The second line indicates that the initial time increment
is .1, the total step time is 1 and the CFD time increment is 0.01.

<P>

<P><P>
<BR>
Example files: couette1per.

<P>
<HR>
<!--Navigation Panel-->
<A NAME="tex2html3537"
  HREF="node199.html">
<IMG WIDTH="37" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="next"
 SRC="file:/usr/share/latex2html/icons/next.png"></A> 
<A NAME="tex2html3533"
  HREF="node188.html">
<IMG WIDTH="26" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="up"
 SRC="file:/usr/share/latex2html/icons/up.png"></A> 
<A NAME="tex2html3527"
  HREF="node197.html">
<IMG WIDTH="63" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="previous"
 SRC="file:/usr/share/latex2html/icons/prev.png"></A> 
<A NAME="tex2html3535"
  HREF="node1.html">
<IMG WIDTH="65" HEIGHT="24" ALIGN="BOTTOM" BORDER="0" ALT="contents"
 SRC="file:/usr/share/latex2html/icons/contents.png"></A>  
<BR>
<B> Next:</B> <A NAME="tex2html3538"
  HREF="node199.html">*CFLUX</A>
<B> Up:</B> <A NAME="tex2html3534"
  HREF="node188.html">Input deck format</A>
<B> Previous:</B> <A NAME="tex2html3528"
  HREF="node197.html">*BUCKLE</A>
 &nbsp; <B>  <A NAME="tex2html3536"
  HREF="node1.html">Contents</A></B> 
<!--End of Navigation Panel-->
<ADDRESS>
guido dhondt
2016-07-31
</ADDRESS>
</BODY>
</HTML>
